---
title: Work Management Attribute
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Work Management Attribute
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Work Management Attribute

View and configure custom attributes within Work Management. See the [Work Management page](https://docs.datadoghq.com/incident_response/work_management.md) for more information.

## [Get all custom attributes →](https://docs.datadoghq.com/api/latest/case-management-attribute/get-all-custom-attributes.md){% #get-all-custom-attributes %}

| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cases/types/custom_attributes |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cases/types/custom_attributes |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cases/types/custom_attributes      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cases/types/custom_attributes      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cases/types/custom_attributes  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/cases/types/custom_attributes |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cases/types/custom_attributes     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cases/types/custom_attributes |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cases/types/custom_attributes |

## [Get custom attribute configs for work item type →](https://docs.datadoghq.com/api/latest/case-management-attribute/get-all-custom-attributes-config-of-case-type.md){% #get-all-custom-attributes-config-of-case-type %}

| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}/custom_attributes      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |

## [Create custom attribute config for work item type →](https://docs.datadoghq.com/api/latest/case-management-attribute/create-custom-attribute-config-for-a-case-type.md){% #create-custom-attribute-config-for-a-case-type %}

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}/custom_attributes      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes |

## [Delete custom attributes config →](https://docs.datadoghq.com/api/latest/case-management-attribute/delete-custom-attributes-config.md){% #delete-custom-attributes-config %}

| Datadog site      | API endpoint                                                                                                   |
| ----------------- | -------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |

## [Update custom attribute config →](https://docs.datadoghq.com/api/latest/case-management-attribute/update-custom-attribute-config.md){% #update-custom-attribute-config %}

| Datadog site      | API endpoint                                                                                                |
| ----------------- | ----------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id}/custom_attributes/{custom_attribute_id} |
